<apex:page sidebar="false" standardController="Tenant_Disconnects__c" extensions="TDC_CSV_FileUploader" tabStyle="Opportunity">

<script language="JavaScript" type="text/javascript">
    function CloseAndRefresh(){
        window.opener.location.href="/{!$CurrentPage.parameters.oppid}";
          window.top.close();
  }
</script>
   
   <apex:form >
      <apex:sectionHeader title="Upload Tenant Disconnects"/>
      <font color="red"> <b>Note: Please use the standard template to upload Tenant Disconnects. <a href="https://mydish.force.com/community/servlet/servlet.FileDownload?file=015f2000001vMex" target="_blank"> Click here </a> to download the template. </b> </font>
      <apex:pagemessages />
      <apex:pageBlock >
              <apex:inputFile filename="{!nameFile}" contentType=".csv" value="{!contentFile}" id="choose" /> 
              <apex:commandButton action="{!ReadFile}" value="Upload File" /> 
              <apex:commandButton onClick="window.top.close();"  value="Save, Close and Return to Propery Record"  />
              <center>        
      <apex:pageblocktable value="{!uploadedMutes}" var="TDC" rendered="{!NOT(ISNULL(uploadedMutes))}">
             <apex:column headerValue="Account Number">
                <apex:inputField value="{!TDC.Account_Number__c}"/>
             </apex:column>
        </apex:pageblocktable> 
      </center>              
      </apex:pageBlock>
         <apex:commandButton action="{!quicksave}" id="update" value="Save" />
         <br/>
         <br/>
    </apex:form>   
</apex:page>